function controlla()
{ 
  //Recupero i campi di input
  var campi = document.getElementsByTagName("input");
  //Controllo i campi di input di tipo testo
  for (var i = 0 ; i<campi.length ; i++)
  {
    if (campi[i].type == "text")
    {
    //Controllo i campi obbligatori
    if (obbligatorio(campi[i]) == true)
    {
      if (campi[i].value == "")
      {
        var testo = "Attenzione. Il campo " +  campi[i].name + "  obbligatorio";
        alert(testo);
        return false;
      }
    }
    //Controllo i campi email
    if (email(campi[i]) == true)
    {
      if (!emailValida(campi[i].value))
      {
        var testo = "Attenzione. Il campo " +  campi[i].name + " non sembra contenere una email valida : "
            + campi[i].value;
        alert(testo);
        return false;
      }
    }
    //Controllo i campi numerici
    if (numero(campi[i]) == true)
    {
      if (!numeroValido(campi[i].value))
      {
        var testo = "Attenzione. Il campo " +  campi[i].name + " non sembra contenere un numero valido : "
            + campi[i].value;
        alert(testo);
        return false;
      }
    }
    //Controllo le date
    if (data(campi[i]) == true)
    {
      if (!dataValida(campi[i].value))
      {
        var testo = "Attenzione. Il campo " +  campi[i].name + " non sembra contenere una data valida : "
            + campi[i].value;
        alert(testo);
        return false;
      }
    }
    }
  }
}
  
//Controlla se elemento  di classe obbligatorio  
function obbligatorio(elemento)
{
  var classes = elemento.className;
  if (!classes) return false;
  if (elemento.className.search("\\bobbligatorio\\b") == -1)
   return false;
  else
    return true;
}

//Controlla se elemento  di classe numero
function email(elemento)
{
  var classes = elemento.className;
  if (!classes) return false;
  if (elemento.className.search("\\bemail\\b") == -1)
   return false;
  else
    return true;
}

//Semplice controllo sulla validit dell'email
function emailValida(indirizzo)
{
  return (indirizzo.indexOf("@") > 0);
}

//Controlla se elemento  di classe numero
function numero(elemento)
{
  var classes = elemento.className;
  if (!classes) return false;
  if (elemento.className.search("\\bnumero\\b") == -1)
   return false;
  else
    return true;
}

//Controlla se contiene solo numeri
function numeroValido(elemento)
{
  
	if(elemento.match("^[0-9]+$"))
    return true
  else
    return false;
}

//Controlla se elemento  di classe data
function data(elemento)
{
  var classes = elemento.className;
  if (!classes) return false;
  if (elemento.className.search("\\bdata\\b") == -1)
   return false;
  else
    return true;
}

//Controlla solo se ha una forma valida, non se la data  valida
function dataValida(elemento)
{
  
	if(elemento.match("[0-9]{2}/[0-9]{2}/[0-9]{4}"))
    return true
  else
    return false;
}



