<?php
/*esempio semplice di apertura di un database e di lettura di informazioni
con controllo sugli errori*/
include "common.inc.php";

html_header("Inserimento studenti migliorato","Inserimento studenti migliorato");

//Livello di reporting degli errori 
// Con 0 disabilito la stampa degli errori di PHP
// Con E_ALL abilito la stampa di tutti gli errori di PHP
error_reporting(E_ALL);
if (isset($_POST["nome"]) && $_POST["nome"]!="")
{
  $link_id=db_connect();
  //Controllo se la connessione  andata a buon fine
  if (!$link_id) 
  {
      echo sql_error();
      html_footer();
      exit();
  }
  $nome=$_POST["nome"];
  $cognome=$_POST["cognome"];
  $nascita=$_POST["nascita"];
  
  //Controllo della validit della data
  if (ereg ("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2})", $nascita, $regs)) {
    if (checkdate($regs[2],$regs[3],$regs[1])) $valida = true;
    else $valida=false;
  } 
  else {
    $valida = false;
}
  if ($valida)
  {
    $query="INSERT INTO studenti (nome,cognome,nascita) VALUES ".
            "('$nome','$cognome','$nascita')";

    //Invio la query
    $result = mysql_query ($query); 

    //Controllo se la query  andata a buon fine. Questo sistema va bene per le query che non restituiscono 
    //un set di risultati
    if (!$result) 
    {
        echo "Query fallita: " . $query;
        echo sql_error();
        html_footer();
        exit();
    }
    else 
    {
        echo "E' stato inserito con successo il seguente studente<br>\n";
        echo "Nome: ". stripslashes($nome) ."<br>\n";
        echo "Cognome: " . stripslashes($cognome) ."<br>\n";
        echo "Data di nascita: " . $nascita ."<br>\n";
    }
  }
  else
  {
    echo "Attenzione, la data inserita non risulta valida";
    $nome_old = $nome;
    $cognome_old = $cognome;
  }
mysql_close(); 
}
?>
<p>Inserisci un nuovo studente</p>
<form method="post" action="<?php echo $_SERVER["PHP_SELF"]?>">
<p>Nome<input type="text" name="nome" <?php if(isset($nome_old)) echo "value=\"$nome_old\"";?>></p>
<p>Cognome<input type="text" name="cognome" <?php if(isset($cognome_old)) echo "value=\"$cognome_old\"";?>></p>
<p>Data di nascita (AAAA-MM-GG)<input type="text" name="nascita"></p>
<input type="submit" value="Aggiungi studente">
</form>
<?php
html_footer();
?>
