function Tris()
{
  this.ground = new Array();
  var i,j;
  for (i=0;i<3;i++)
  {
    this.ground[i] = new Array();
    for (j=0;j<3;j++)
      this.ground[i][j]=0;
  }
  this.giocatore = 1;
  this.mossa = 0;
}

Tris.prototype.move = function(x,y)
{
  if (this.ground[x][y]==0)
  {
    this.ground[x][y] = this.giocatore;
    this.giocatore = this.giocatore==1?2:1;
  }
  this.mossa++;
}

//Funzione che controlla lo stato della partita.
//Ritorna 1 se ha vinto il giocatore 1, 2 se ha vinto il giocatore 2,
//0 se  patta e 3 se non  ancora finita
Tris.prototype.check = function()
{
  var i,j;
  //Finch non sono state fatte alemo 5 mosse la partita non pu essere finita
  if (this.mossa < 5) return 3;
  for (i=0;i<3;i++)
  {
    if ( this.ground[i][0] == this.ground[i][1] && this.ground[i][1] == this.ground[i][2] && this.ground[i][0]!= 0)
      return this.ground[i][0];
    if ( this.ground[0][i] == this.ground[1][i] && this.ground[1][i] == this.ground[2][i] && this.ground[0][i]!= 0)
      return this.ground[0][i];
  }
  if ( this.ground[0][0] == this.ground[1][1] && this.ground[1][1] == this.ground[2][2] && this.ground[0][0]!= 0)
    return this.ground[0][0];
  if ( this.ground[0][2] == this.ground[1][1] && this.ground[1][1] == this.ground[2][0] && this.ground[0][2]!= 0)
    return this.ground[0][2];
  if (this.mossa == 9) return 0;
  return 3;
}
  
Tris.prototype.turn = function()
{
  return this.giocatore;
}

Tris.prototype.reset = function()
{
  var i,j;
  for (i=0;i<3;i++)
  {
    for (j=0;j<3;j++)
      this.ground[i][j]=0;
  }
  this.giocatore = 1;
  this.mossa = 0;
}

  